Skip to main content
post/v2/workflows/dlq/resume
Request example
Response
post/v2/workflows/dlq/resume
Warning

The synchronous pagination API is deprecated. It’s recommended to use Async Bulk endpoint to process all matching entries in a bulk action.

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Query parameters

cursorstring#
Pagination cursor for resuming workflows in batches.
countinteger#
Maximum number of workflows to resume in this page. Defaults to 100.
fromDateinteger#
Filter workflows by starting date, in milliseconds (Unix timestamp). This is inclusive.
toDateinteger#
Filter workflows by ending date, in milliseconds (Unix timestamp). This is inclusive.
workflowUrlstring[]#
Filter workflows by workflow URL. Supports multiple values.
workflowRunIdstring#
Filter workflows by workflow run ID.
workflowCreatedAtinteger#
Filter workflows by creation timestamp in milliseconds (Unix timestamp).
labelstring[]#

Filter workflows by label. Supports multiple values. You can pass multiple values to match workflows with any of the given labels (OR logic).

Examples:

  • label=my_label
  • label=label_1&label=label_2
  • label=label_1,label_2
failureFunctionStatestring[]#

Filter workflows by failure function state. Supports multiple values.

StateDescription
CALLBACK_INPROGRESSThe failure function is in progress.
CALLBACK_SUCCESSThe failure function run successfully.
CALLBACK_FAILThe failure function failed to run.
CALLBACK_CANCELEDThe failure function was manually canceled
callerIpstring[]#
Filter workflows by IP address of the publisher. Supports multiple values.
flowControlKeystring[]#
Filter workflows by Flow Control Key. Supports multiple values.

Headers

Upstash-Retriesinteger#
Override the number of retries for the workflow steps.
Upstash-Delaystring#
Override the delay before executing the workflow. Format is <value><unit> (for example, 10s or 5m).
Upstash-Retry-Delaystring#
Override the retry delay expression for the workflow steps.
Upstash-Flow-Control-Keystring#
Override the flow control key for the workflow.
Upstash-Flow-Control-Valuestring#
Override the flow control configuration in the format parallelism=<value>, rate=<value>, period=<value>.
Upstash-Labelstring#
Override the workflow labels. Use a comma-separated list for multiple labels, such as label_1,label_2.
Upstash-Failure-Callbackstring#
Override the failure callback URL for the workflow.

Responses

application/json
Workflows resumed successfully
workflowRunsobject[]#
Array of resumed workflow runs.
cursorstring#
Pagination cursor to use in subsequent requests. If empty, all matching workflows have been processed.